XtGetSelectionRequest(3Xt)

NAME
XtGetSelectionRequest - retrieve the event that triggered the XtConvertSelectionProc

SYNTAX

XSelectionRequestEvent* XtGetSelectionRequest(Widget w, Atom selection, XtRequestId request_id);

ARGUMENTS

w   Specifies the widget.

selection
    Specifies the selection being processed.

request_id
    Specifies the requestor id in the case of incremental selections, or NULL in the case of atomic transfers.

DESCRIPTION
may only be called from within an procedure and returns a pointer to the event that caused the conversion procedure to be invoked. Request_id specifies a unique id for the individual request in the case that multiple incremental transfers are outstanding. For atomic transfers, request_id must be specified as NULL. If no event is being processed for the specified widget, selection, and request_id, returns NULL.

SEE ALSO
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface